Bug 2000414 - power-of-two balancing feature set "Random" as default balancing for passthrough routes
Summary: power-of-two balancing feature set "Random" as default balancing for passthro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1997407
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-02 06:29 UTC by Arvind iyengar
Modified: 2021-09-21 08:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1997407
Environment:
Last Closed: 2021-09-21 08:02:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 651 0 None None None 2021-09-02 18:45:09 UTC
Red Hat Product Errata RHBA-2021:3511 0 None None None 2021-09-21 08:02:43 UTC

Comment 1 Arvind iyengar 2021-09-06 05:09:43 UTC
Verified in "4.8.0-0.ci.test-2021-09-06-042332-ci-ln-t6rlkv2-latest" version. With this version, it is observed that the algorithm now gets set to "source" type by default:
------
oc get clusterversion              
NAME      VERSION                                                  AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.ci.test-2021-09-06-042332-ci-ln-t6rlkv2-latest   True        False         9m9s    Cluster version is 4.8.0-0.ci.test-2021-09-06-042332-ci-ln-t6rlkv2-latest


Inside router pod:

sh-4.4$ env | grep -i balance
ROUTER_TCP_BALANCE_SCHEME=source
ROUTER_LOAD_BALANCE_ALGORITHM=random

# Secure backend, pass through
backend be_tcp:test1:passth-route
  balance source

  hash-type consistent
  timeout check 5000ms
  server pod:web-server-rc-ftncz:service-secure:https:10.129.2.12:8443 10.129.2.12:8443 weight 256

------

Comment 5 errata-xmlrpc 2021-09-21 08:02:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.12 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3511


Note You need to log in before you can comment on or make changes to this bug.